| Home | Libraries | People | FAQ | More

## Macro BOOST_PROTO_EXTENDS_ASSIGN

BOOST_PROTO_EXTENDS_ASSIGN — For adding to an expression extension class an overloaded assignment operator that builds an expression template.

## Synopsis

    // In header: <boost/proto/extends.hpp>

    BOOST_PROTO_EXTENDS_ASSIGN()

## Description

Use `BOOST_PROTO_EXTENDS_ASSIGN()` after `BOOST_PROTO_BASIC_EXTENDS()` to give an expression extension class an overloaded assignment operator that builds an expression template.

See also:

- `BOOST_PROTO_BASIC_EXTENDS()`
- `BOOST_PROTO_EXTENDS_SUBSCRIPT()`
- `BOOST_PROTO_EXTENDS_FUNCTION()`
- `BOOST_PROTO_EXTENDS()`